# CustomerReturns

## GET /customer-returns

> Returns all open customer returns

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"CustomerReturnGetList":{"type":"object","properties":{"trackingNumber":{"type":"string","nullable":true},"comments":{"type":"string","nullable":true},"carrier":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"customerReturnNumber":{"type":"string","nullable":true},"customer":{"$ref":"#/components/schemas/CustomerDetails"},"warehouse":{"$ref":"#/components/schemas/Warehouse"}},"additionalProperties":false},"CustomerDetails":{"type":"object","properties":{"companyName":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/CustomerAddress"},"nullable":true},"id":{"type":"string","format":"uuid"},"client":{"$ref":"#/components/schemas/ClientGetList"},"customerCode":{"type":"string","nullable":true},"isDiscontinued":{"type":"boolean"}},"additionalProperties":false},"CustomerAddress":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"attnTo":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"routeNumber":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"ClientGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"ssccCompanyId":{"type":"string","nullable":true},"companyName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Warehouse":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"warehouseCode":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/customer-returns":{"get":{"tags":["CustomerReturns"],"summary":"Returns all open customer returns","parameters":[{"name":"ClientId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CustomerReturnGetList"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CustomerReturnGetList"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CustomerReturnGetList"}}}}}}}}}}
```

## POST /customer-returns

> Create new customer return

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"CustomerReturnCreate":{"type":"object","properties":{"trackingNumber":{"type":"string","nullable":true},"comments":{"type":"string","nullable":true},"carrier":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"customerId":{"type":"string","format":"uuid"},"warehouseId":{"type":"string","format":"uuid"},"customerReturnNumber":{"type":"string","nullable":true},"from":{"$ref":"#/components/schemas/Address"},"lines":{"type":"array","items":{"$ref":"#/components/schemas/CustomerReturnLineCreateUpdate"},"nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"name":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostal":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"CustomerReturnLineCreateUpdate":{"type":"object","properties":{"lineNumber":{"type":"integer","format":"int32","nullable":true},"packsize":{"type":"integer","format":"int32","nullable":true},"numberOfPacks":{"type":"integer","format":"int32","nullable":true},"productId":{"type":"string","format":"uuid"},"quantity":{"type":"number","format":"double","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"instructions":{"type":"string","nullable":true}},"additionalProperties":false},"IdDocument":{"type":"object","properties":{"id":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/customer-returns":{"post":{"tags":["CustomerReturns"],"summary":"Create new customer return","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerReturnCreate"}},"text/json":{"schema":{"$ref":"#/components/schemas/CustomerReturnCreate"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CustomerReturnCreate"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IdDocument"}},"application/json":{"schema":{"$ref":"#/components/schemas/IdDocument"}},"text/json":{"schema":{"$ref":"#/components/schemas/IdDocument"}}}},"406":{"description":"Not Acceptable","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```

## PUT /customer-returns

> Update an existing customer return

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"CustomerReturnUpdate":{"type":"object","properties":{"trackingNumber":{"type":"string","nullable":true},"comments":{"type":"string","nullable":true},"carrier":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"from":{"$ref":"#/components/schemas/Address"},"lines":{"type":"array","items":{"$ref":"#/components/schemas/CustomerReturnLineCreateUpdate"},"nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"name":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostal":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"CustomerReturnLineCreateUpdate":{"type":"object","properties":{"lineNumber":{"type":"integer","format":"int32","nullable":true},"packsize":{"type":"integer","format":"int32","nullable":true},"numberOfPacks":{"type":"integer","format":"int32","nullable":true},"productId":{"type":"string","format":"uuid"},"quantity":{"type":"number","format":"double","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"instructions":{"type":"string","nullable":true}},"additionalProperties":false},"IdDocument":{"type":"object","properties":{"id":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/customer-returns":{"put":{"tags":["CustomerReturns"],"summary":"Update an existing customer return","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerReturnUpdate"}},"text/json":{"schema":{"$ref":"#/components/schemas/CustomerReturnUpdate"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CustomerReturnUpdate"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IdDocument"}},"application/json":{"schema":{"$ref":"#/components/schemas/IdDocument"}},"text/json":{"schema":{"$ref":"#/components/schemas/IdDocument"}}}},"406":{"description":"Not Acceptable","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```

## POST /customer-returns/upload

> Upload an existing pending customer return

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"UploadRequest":{"type":"object","properties":{"ids":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"uploadedSuceeded":{"type":"boolean","nullable":true},"uploadMessage":{"type":"string","nullable":true},"resetUploadCount":{"type":"boolean","nullable":true}},"additionalProperties":false}}},"paths":{"/customer-returns/upload":{"post":{"tags":["CustomerReturns"],"summary":"Upload an existing pending customer return","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/UploadRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UploadRequest"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## GET /customer-returns/{id}

> Returns a single customer return by id

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"CustomerReturnDetails":{"type":"object","properties":{"trackingNumber":{"type":"string","nullable":true},"comments":{"type":"string","nullable":true},"carrier":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"customerReturnNumber":{"type":"string","nullable":true},"customer":{"$ref":"#/components/schemas/CustomerDetails"},"warehouse":{"$ref":"#/components/schemas/Warehouse"},"lines":{"type":"array","items":{"$ref":"#/components/schemas/CustomerReturnLineGet"},"nullable":true}},"additionalProperties":false},"CustomerDetails":{"type":"object","properties":{"companyName":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/CustomerAddress"},"nullable":true},"id":{"type":"string","format":"uuid"},"client":{"$ref":"#/components/schemas/ClientGetList"},"customerCode":{"type":"string","nullable":true},"isDiscontinued":{"type":"boolean"}},"additionalProperties":false},"CustomerAddress":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"attnTo":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"routeNumber":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"ClientGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"ssccCompanyId":{"type":"string","nullable":true},"companyName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Warehouse":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"warehouseCode":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"CustomerReturnLineGet":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"lineNumber":{"type":"integer","format":"int32"},"product":{"$ref":"#/components/schemas/ProductGetList"},"quantity":{"type":"number","format":"double"},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"receivedQuantity":{"type":"number","format":"double"},"damagedQuantity":{"type":"number","format":"double"},"toteLineId":{"type":"string","format":"uuid","nullable":true},"details":{"type":"array","items":{"$ref":"#/components/schemas/CustomerReturnLineGetDetails"},"nullable":true}},"additionalProperties":false},"ProductGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"upc":{"type":"string","nullable":true},"barcodeType":{"$ref":"#/components/schemas/BarcodeType"},"barcodeValue":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"client":{"$ref":"#/components/schemas/ClientGetList"},"sku":{"type":"string","nullable":true}},"additionalProperties":false},"BarcodeType":{"enum":["Code128","ITF14","EAN13","UPCA"],"type":"string"},"CustomerReturnLineGetDetails":{"type":"object","properties":{"toteLineDetailId":{"type":"string","format":"uuid","nullable":true},"receivedQuantity":{"type":"number","format":"double"},"lotNumber":{"type":"string","nullable":true},"serialNumber":{"type":"string","nullable":true},"expiryDate":{"type":"string","format":"date-time","nullable":true},"packsizeEachCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false}}},"paths":{"/customer-returns/{id}":{"get":{"tags":["CustomerReturns"],"summary":"Returns a single customer return by id","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/CustomerReturnDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/CustomerReturnDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/CustomerReturnDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```

## DELETE /customer-returns/{id}

> Delete customer return by Id

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}}},"paths":{"/customer-returns/{id}":{"delete":{"tags":["CustomerReturns"],"summary":"Delete customer return by Id","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"406":{"description":"Not Acceptable","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```

## GET /customer-returns/{field}/{value}

> Returns a list of pick tickets by specified field/value

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"CustomerReturnDetails":{"type":"object","properties":{"trackingNumber":{"type":"string","nullable":true},"comments":{"type":"string","nullable":true},"carrier":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"customerReturnNumber":{"type":"string","nullable":true},"customer":{"$ref":"#/components/schemas/CustomerDetails"},"warehouse":{"$ref":"#/components/schemas/Warehouse"},"lines":{"type":"array","items":{"$ref":"#/components/schemas/CustomerReturnLineGet"},"nullable":true}},"additionalProperties":false},"CustomerDetails":{"type":"object","properties":{"companyName":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/CustomerAddress"},"nullable":true},"id":{"type":"string","format":"uuid"},"client":{"$ref":"#/components/schemas/ClientGetList"},"customerCode":{"type":"string","nullable":true},"isDiscontinued":{"type":"boolean"}},"additionalProperties":false},"CustomerAddress":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"attnTo":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"routeNumber":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"ClientGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"ssccCompanyId":{"type":"string","nullable":true},"companyName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Warehouse":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"warehouseCode":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"CustomerReturnLineGet":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"lineNumber":{"type":"integer","format":"int32"},"product":{"$ref":"#/components/schemas/ProductGetList"},"quantity":{"type":"number","format":"double"},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true},"receivedQuantity":{"type":"number","format":"double"},"damagedQuantity":{"type":"number","format":"double"},"toteLineId":{"type":"string","format":"uuid","nullable":true},"details":{"type":"array","items":{"$ref":"#/components/schemas/CustomerReturnLineGetDetails"},"nullable":true}},"additionalProperties":false},"ProductGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"upc":{"type":"string","nullable":true},"barcodeType":{"$ref":"#/components/schemas/BarcodeType"},"barcodeValue":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"client":{"$ref":"#/components/schemas/ClientGetList"},"sku":{"type":"string","nullable":true}},"additionalProperties":false},"BarcodeType":{"enum":["Code128","ITF14","EAN13","UPCA"],"type":"string"},"CustomerReturnLineGetDetails":{"type":"object","properties":{"toteLineDetailId":{"type":"string","format":"uuid","nullable":true},"receivedQuantity":{"type":"number","format":"double"},"lotNumber":{"type":"string","nullable":true},"serialNumber":{"type":"string","nullable":true},"expiryDate":{"type":"string","format":"date-time","nullable":true},"packsizeEachCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false}}},"paths":{"/customer-returns/{field}/{value}":{"get":{"tags":["CustomerReturns"],"summary":"Returns a list of pick tickets by specified field/value","parameters":[{"name":"field","in":"path","required":true,"schema":{"type":"string"}},{"name":"value","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/CustomerReturnDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/CustomerReturnDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/CustomerReturnDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.p4.software/english-1/customerreturns.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
